#include <gurobi_c++.h>
using namespace std;

int main(int argc, char *argv[]) {
    GRBEnv env;

    GRBModel model(env);

    // To make ILP from this model, just change the variable type from GRB_CONTINUOUS to GRB_INTEGER
    auto x1 = model.addVar(-GRB_INFINITY, GRB_INFINITY, 0.0, GRB_CONTINUOUS, "x1");
    auto x2 = model.addVar(-GRB_INFINITY, GRB_INFINITY, 0.0, GRB_CONTINUOUS, "x2");

    model.update();

    model.addConstr(-4*x1 - 9*x2 <= -18);
    model.addConstr((3.0/2.0)*x1 - x2 <= 27.0/4.0);
    model.addConstr((-8.0/17.0)*x1 - x2 <= 2);

    model.setObjective(-x1 + 2*x2, GRB_MINIMIZE);

    model.optimize();

    if (model.get(GRB_IntAttr_Status) == GRB_OPTIMAL) {
      cout << "Optimal objective value: " << model.get(GRB_DoubleAttr_ObjVal) << endl;
      cout << "x1: " << x1.get(GRB_DoubleAttr_X) << " ";
      cout << "x2: " << x2.get(GRB_DoubleAttr_X) << endl;
    }

    return 0;
}
